html {
	scroll-behavior: smooth;
	background-color: white;
}

body {
	font-family: sans-serif;
	background-color: #ebf3ff;
	margin: 0 13vw;
}

header {
	width: 100%;
	text-align: center;
	background-color: white;
	background-image: url(../img/solar_header.jpg);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: top 30% right 40%;
}

header > div > a {
	text-decoration: none;
	color: white;
}

header > div > a:visited {
	color: white;
}

header img {
	width: 150px;
	border-radius: 25%;
}

header h1 {
	font-size: 3rem;
	margin: 3vh 0;
}

header h4 {
	font-size: 1.2rem;
	margin: 1vh 0;
}

header h5 {
	margin: 0 3px;
}

header > div {
	color: white;
	padding: 2vh 3vw;
	backdrop-filter: blur(10px);
	background-color: rgba(0, 0, 0, 0.2);
}

header nav {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	overflow: auto;
	justify-content: center;
}

@media only screen and (max-width: 550px) {
	header nav {
		display: grid;
		grid-template-columns: repeat(2, 1fr);
		gap: 5px 0;
		justify-items: center;
	}
	
	header nav button {
		width: 150px !important;
	}
}

header nav button {
	width: fit-content;
	font-family: sans-serif;
	font-size: 0.9rem;
	background-color: rgba(255, 255, 255, 0.15);
	border: 2px solid rgb(221, 208, 183);
	border-radius: 5px;
	margin: 5px;
	transition: background-color 0.15s ease-in;
}

header nav button:hover {
	background-color: rgba(255, 255, 255, 0.3);
}

header nav button a {
	color: white;
	display: inline-block;
	padding: 15px 20px;
}

header button:hover {
	cursor: pointer;
}

header button a {
	text-decoration: none;
	color: black;
}

h2, h4 {
	text-align: center;
}

h4 {
	font-size: 0.7cm;
}

main {
	margin-bottom: 5vh;
}

div.cards {
	display: flex;
	flex-direction: row;
	overflow: auto;
	align-items: center;
}

div.wrap {
	flex-wrap: wrap;
	justify-content: space-evenly;
}

@media only screen and (max-width: 750px) {
	div.cards {
		flex-direction: column;
		align-items: normal;
	}

	div.cards > div {
		width: auto !important;
		margin: 0;
	}
}

@media only screen and (max-height: 550px) {
	div.banner#szolgaltatasaink + div.cards > div {
		height: 55vh !important;
	}
}

div.cards > div {
	background-color: white;
	width: calc(100% / 3);
	height: 400px;

	border: 2px solid black;
	margin: 15px;

	transition: transform 0.25s ease-in;
}

div.cards > div p {
	text-align: center;
}

@keyframes fade-in {
	from { opacity: 0.3; }
	to { opacity: 1; }
}

div.slideshow div.cards > div {
	display: none;
}

div.slideshow div.cards > div.active {
	animation-name: fade-in;
	animation-duration: 1.25s;
	display: block;
}

div#szolgaltatasaink + div.cards > div {
	height: 35vh;
}

div#szolgaltatasaink + div.cards > div {
	width: calc(100% / 4);
}

div#referenciaink + div.cards > div {
	height: 350px;
	width: calc((100% / 3) - 34px);
}

div#referenciaink + div.cards > div:not(:first-of-type) img {
	object-fit: scale-down;
}

div#referenciaink + div.cards > div:not(:has(img)) {
	height: fit-content;
}

div.cards > div:has(a:hover), div.cards > div:has(img:hover) {
	transform: scale(1.03);
}

div.cards img {
	width: 100%;
	height: 60%;
	object-fit: cover;
}

div.cards h5 {
	text-align: center;
	font-size: larger;
	margin: 1rem;
	padding: 0;
}

div.cards a {
	color: black;
}

div.banner#tetomosas {
	background-image: url(../img/tetomosas.jpg);
}

div.banner {
	background-position: bottom;
	background-repeat: no-repeat;
	background-size: cover;
}

div.banner h2 {
	color: white;
	margin: 5vh 0;
	font-size: 8vw;
	padding: 10vh 0;
	backdrop-filter: blur(5px);
}

div.banner.sm h2 {
	margin: 5vh 0;
	font-size: 4vw;
	padding: 4vh 0;
}

@media only screen and (max-width: 750px) {
	div.banner h2 {
		font-size: 10vw;
	}

	div.banner.sm h2 {
		font-size: 8vw;
	}
}

div.banner.sm + section {
	text-align: center;
	padding: 8px;
}

div.banner.sm + section table {
	width: 100%;
	margin: auto;
	border-collapse: collapse;
}

div.banner.sm + section table tr td, div.banner.sm + section table tr th {
	padding: 8px;
	border: 1px solid gray;
}

div.banner.sm + section table tr td:first-of-type {
	text-align: left;
}

div.banner.sm + section table tr td:nth-of-type(2) {
	text-align: right;
}

div.banner.sm + section table tr td[colspan="2"] {
	text-align: center;
}

div.banner#szolgaltatasaink {
	background-image: url(../img/solar.jpg);
}

div.banner#referenciaink {
	background-image: url(../img/referenciaink.jpg);
}

div.banner#araink {
	background-image: url(../img/araink.jpg);
}

big {
	display: block;
}

div.banner#napelemtisztitas {
	background-image: url(../img/napelemtisztitas.jpeg);
}

div.banner#ablaktisztitas {
	background-image: url(../img/ablaktisztitas.jpeg);
	background-position: 25% 60%;
}

div.banner#felulettisztitas {
	background-image: url(../img/felulettisztitas.jpeg);
	background-position: 20% 60%;
}

section {
	margin: 0 10vw;
}

@media only screen and (max-width: 1450px) {
	body {
		margin: 0;
	}
	section {
		margin: 0 5vw;
	}
}

section p {
	text-align: justify;
}

section h3 {
	text-align: center;
}

p.felhivas {
	text-align: center;
	margin: 40px;
	font-size: large;
}

footer {
	background-color: black;
}

footer div.info {
	display: grid;
	grid-auto-flow: column;
	grid-auto-columns: 50%;
	overflow: auto;
	padding: 1vh 4vw;
}

@media only screen and (max-width: 750px) {
	footer div.info {
		grid-auto-flow: row;
		grid-auto-columns: unset;
		grid-auto-rows: 50%;
	}
}

footer h2 {
	letter-spacing: 1px;
	text-align: left;
	color: rgb(53, 175, 223);
	font-weight: bold;
}

footer p {
	text-align: justify;
	line-height: 2;
	color: white;
}

footer div {
	margin: 0 5%;
}

footer div.info div:nth-child(2) p {
	text-align: left;
}

footer a {
	color: white;
	text-decoration: underline;
}

footer div.copyright {
	font-size: 10pt;
	text-align: center;
	font-family: monospace;
	padding: 10px;
	color: white;
}